Debian Bug report logs - #486250
[gnupg] needs renaming for removal of ldap support.

Package: buildd.emdebian.org; Maintainer for buildd.emdebian.org is Debian Embedded Team <debian-embedded@lists.debian.org>;

Reported by: Neil Williams <codehelp@debian.org>

Date: Sat, 14 Jun 2008 17:24:05 UTC

Severity: normal

Done: Neil Williams <codehelp@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Debian Embedded <debian-embedded@lists.debian.org>:
Bug#486250; Package general. Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
New Bug report received and filed, but not forwarded. Copy sent to Debian Embedded <debian-embedded@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at quiet@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: Debian Bug Tracking System <quiet@bugs.debian.org>
Subject: buildd.emdebian.org: gnupg fails to crossbuild - problem with curl?
Date: Sat, 14 Jun 2008 18:23:07 +0100
Package: general
Severity: normal

The build log will be available soon via the autobuilder but this error
repeats a few dozen times when trying to cross-build the latest version
of gnupg.

Previous version built:
http://www.emdebian.org/packages/search.php?distro=unstable&arch=arm&distro=unstable&package=gnupg
Package: gnupg (1.4.6-3em2) {arm}

Failing version:
Version: 1.4.9-2em1

The emdebian patches in SVN are now back up to date so this build can be
reproduced with:
$ emsource --build-dep -b gnupg
or to build in the empdebuild chroot:
$ emsource -p gnupg

Semi-automated bug report filed using embug_report - pending inclusion
in emdebian-tools 1.2.0 (currently in SVN).

This bug report is to track the reasons for the build failure, attempts
to fix this problem or to be reassigned to gnupg if it is shown to be a
Debian packaging problem or upstream bug.

Once buildd.emdebian.org is available as a pseudo-package, all these bug
reports will come to debian-embedded.

*** ../emdebian-tail.log
.../../keyserver/gpgkeys_curl.c:304: error: ?typeof? applied to a bit-field
.../../keyserver/gpgkeys_curl.c:304: error: ?typeof? applied to a bit-field
.../../keyserver/gpgkeys_curl.c:304: error: ?typeof? applied to a bit-field
.../../keyserver/gpgkeys_curl.c:304: error: ?typeof? applied to a bit-field
.../../keyserver/gpgkeys_curl.c:304: error: ?typeof? applied to a bit-field
.../../keyserver/gpgkeys_curl.c:304: error: ?typeof? applied to a bit-field
.../../keyserver/gpgkeys_curl.c:304: error: ?typeof? applied to a bit-field
.../../keyserver/gpgkeys_curl.c:304: error: ?typeof? applied to a bit-field
.../../keyserver/gpgkeys_curl.c:304: error: ?typeof? applied to a bit-field
.../../keyserver/gpgkeys_curl.c:304: error: ?typeof? applied to a bit-field
.../../keyserver/gpgkeys_curl.c:304: error: ?typeof? applied to a bit-field
.../../keyserver/gpgkeys_curl.c:304: error: ?typeof? applied to a bit-field
make[3]: *** [gpgkeys_curl-gpgkeys_curl.o] Error 1
make[3]: Leaving directory `/opt/emdebian/trunk/g/gnupg/trunk/gnupg-1.4.9/build-deb/keyserver'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/opt/emdebian/trunk/g/gnupg/trunk/gnupg-1.4.9/build-deb'
make[1]: *** [all] Error 2
make[1]: Leaving directory `/opt/emdebian/trunk/g/gnupg/trunk/gnupg-1.4.9/build-deb'
make: *** [build-deb-stamp] Error 2
dpkg-buildpackage: failure: debian/rules build gave error exit status 2


-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.25-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968) (ignored: LC_ALL set to C)
Shell: /bin/sh linked to /bin/bash




Information forwarded to debian-bugs-dist@lists.debian.org, <debian-devel@lists.debian.org>:
Bug#486250; Package general. Full text and rfc822 format available.

Acknowledgement sent to Michael Bienia <michael@vorlon.ping.de>:
Extra info received and forwarded to list. Copy sent to <debian-devel@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 486250@bugs.debian.org (full text, mbox):

From: Michael Bienia <michael@vorlon.ping.de>
To: Neil Williams <codehelp@debian.org>
Cc: 486250@bugs.debian.org
Subject: Re: buildd.emdebian.org: gnupg fails to crossbuild - problem with curl?
Date: Mon, 21 Jul 2008 02:13:13 +0200
On 2008-06-14 18:23:07 +0100, Neil Williams wrote:

Hello,

> *** ../emdebian-tail.log
> .../../keyserver/gpgkeys_curl.c:304: error: ?typeof? applied to a bit-field
> .../../keyserver/gpgkeys_curl.c:304: error: ?typeof? applied to a bit-field
> .../../keyserver/gpgkeys_curl.c:304: error: ?typeof? applied to a bit-field
> .../../keyserver/gpgkeys_curl.c:304: error: ?typeof? applied to a bit-field
> .../../keyserver/gpgkeys_curl.c:304: error: ?typeof? applied to a bit-field
> .../../keyserver/gpgkeys_curl.c:304: error: ?typeof? applied to a bit-field
> .../../keyserver/gpgkeys_curl.c:304: error: ?typeof? applied to a bit-field
> .../../keyserver/gpgkeys_curl.c:304: error: ?typeof? applied to a bit-field
> .../../keyserver/gpgkeys_curl.c:304: error: ?typeof? applied to a bit-field
> .../../keyserver/gpgkeys_curl.c:304: error: ?typeof? applied to a bit-field
> .../../keyserver/gpgkeys_curl.c:304: error: ?typeof? applied to a bit-field
> .../../keyserver/gpgkeys_curl.c:304: error: ?typeof? applied to a bit-field

I've run into the same problem while merging gnupg for Ubuntu intrepid.
This is a problem how gnupg passes its arguments to libcurl. It was
already discussed on the gnupg-devel mailing list[0] and contains also a
patch for it[1].

Regards,
Michael

0: http://lists.gnupg.org/pipermail/gnupg-devel/2008-April/024334.html
1: http://lists.gnupg.org/pipermail/gnupg-devel/2008-April/024344.html




Information stored:
Bug#486250; Package general. Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #15 received at 486250-quiet@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: Michael Bienia <michael@vorlon.ping.de>
Cc: 486250-quiet@bugs.debian.org
Subject: Re: buildd.emdebian.org: gnupg fails to crossbuild - problem with curl?
Date: Sat, 26 Jul 2008 13:48:22 +0100
[Message part 1 (text/plain, inline)]
On Mon, 2008-07-21 at 02:13 +0200, Michael Bienia wrote:
> On 2008-06-14 18:23:07 +0100, Neil Williams wrote:
> 
> Hello,
> 
> > *** ../emdebian-tail.log
> > .../../keyserver/gpgkeys_curl.c:304: error: ?typeof? applied to a bit-field
> > .../../keyserver/gpgkeys_curl.c:304: error: ?typeof? applied to a bit-field
> > .../../keyserver/gpgkeys_curl.c:304: error: ?typeof? applied to a bit-field
> > .../../keyserver/gpgkeys_curl.c:304: error: ?typeof? applied to a bit-field
> > .../../keyserver/gpgkeys_curl.c:304: error: ?typeof? applied to a bit-field
> > .../../keyserver/gpgkeys_curl.c:304: error: ?typeof? applied to a bit-field
> > .../../keyserver/gpgkeys_curl.c:304: error: ?typeof? applied to a bit-field
> > .../../keyserver/gpgkeys_curl.c:304: error: ?typeof? applied to a bit-field
> > .../../keyserver/gpgkeys_curl.c:304: error: ?typeof? applied to a bit-field
> > .../../keyserver/gpgkeys_curl.c:304: error: ?typeof? applied to a bit-field
> > .../../keyserver/gpgkeys_curl.c:304: error: ?typeof? applied to a bit-field
> > .../../keyserver/gpgkeys_curl.c:304: error: ?typeof? applied to a bit-field
> 
> I've run into the same problem while merging gnupg for Ubuntu intrepid.
> This is a problem how gnupg passes its arguments to libcurl. It was
> already discussed on the gnupg-devel mailing list[0] and contains also a
> patch for it[1].
> 
> Regards,
> Michael
> 
> 0: http://lists.gnupg.org/pipermail/gnupg-devel/2008-April/024334.html
> 1: http://lists.gnupg.org/pipermail/gnupg-devel/2008-April/0243

Ok, I'm using the patch from:
http://bugs.sourcemage.org/attachment.cgi?id=6991&action=edit
http://bugs.sourcemage.org/show_bug.cgi?id=14446

(linked from that mailing list message).

The bug itself has been closed upstream so this problem should only need
this change temporarily.

Thanks for the tip!

Hopefully, the amended build log should be available soon at:

http://www.emdebian.org/buildd/history.php?pkg=gnupg


-- 


Neil Williams
=============
http://www.data-freedom.org/
http://www.nosoftwarepatents.com/
http://www.linux.codehelp.co.uk/


[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package `general' to `buildd.emdebian.org'. Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Wed, 03 Sep 2008 06:30:19 GMT) Full text and rfc822 format available.

Changed Bug title to `[gnupg] needs renaming for removal of ldap support.' from `buildd.emdebian.org: gnupg fails to crossbuild - problem with curl?'. Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Thu, 04 Jun 2009 19:03:02 GMT) Full text and rfc822 format available.

Information stored :
Bug#486250; Package buildd.emdebian.org. (Thu, 04 Jun 2009 19:06:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and filed, but not forwarded. (Thu, 04 Jun 2009 19:06:08 GMT) Full text and rfc822 format available.

Message #24 received at 486250-quiet@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 486250-quiet@bugs.debian.org
Subject: build fixed but without ldap
Date: Thu, 4 Jun 2009 19:51:57 +0100
[Message part 1 (text/plain, inline)]
-CONFARGS += --host=$(DEB_HOST_GNU_TYPE)
+CONFARGS += --host=$(DEB_HOST_GNU_TYPE) --disable-ldap --prefix=/usr

The Emdebian change disables ldap for dependency reasons, leaving gnupg
with dependencies of:

 Depends: libbz2-1.0, libc6 (>= 2.9), libcurl3-gnutls (>= 7.16.2-1),
libgcc1 (>= 1:4.4), libreadline5 (>= 5.2), zlib1g (>= 1:1.2.3.3.dfsg-1)

The gpgv package is also reinstated with the updated patches.

Before upload, the package needs xcontrol support for renaming gnupg to
gnupg-noldap along with dpkg-vendor support for enabling that switch in
Crush. Retitling the bug to make such issues easier to identify.

-- 


Neil Williams
=============
http://www.data-freedom.org/
http://www.nosoftwarepatents.com/
http://www.linux.codehelp.co.uk/

[Message part 2 (application/pgp-signature, inline)]

Reply sent to Neil Williams <codehelp@debian.org>:
You have taken responsibility. (Sat, 10 Apr 2010 14:51:12 GMT) Full text and rfc822 format available.

Notification sent to Neil Williams <codehelp@debian.org>:
Bug acknowledged by developer. (Sat, 10 Apr 2010 14:51:12 GMT) Full text and rfc822 format available.

Message #29 received at 486250-done@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 486250-done@bugs.debian.org
Subject: gnupg-crush available
Date: Sat, 10 Apr 2010 15:47:52 +0100
[Message part 1 (text/plain, inline)]
http://www.emdebian.org/svn/browser/current/target/gnupg-crush/trunk

Closing report.

-- 


Neil Williams
=============
http://www.data-freedom.org/
http://www.linux.codehelp.co.uk/
http://e-mail.is-not-s.ms/

[Message part 2 (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 09 May 2010 07:37:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 16:49:30 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.